Skip to content
Source code of the Wallet UI which uses Lendroid's v2 Protocol
JavaScript
Branch: master
Clone or download

Latest commit

Fetching latest commit…
Cannot retrieve the latest commit at this time.

Files

Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.vscode
assets
components
layouts
pages
store
.babelrc
.env
.env.example
.gitignore
README.md
next.config.js
package-lock.json
package.json

README.md

Wallet UI

Source code of the Wallet UI which uses Lendroid's v2 Protocol

This proect is powered by Next.js.

Prerequisites

You will need Node.js version 8.0 or greater installed on your system.

How to install?

npm install

Setup environment

cp .env.example .env

Available scripts

npm run dev // development mode

npm run prod // production mode

npm run build // production build

npm run start // serve build

How to develop?

npm run dev // http://localhost:3000

Work with library (development or production)?

1. development

{
  "dependencies": {
    "lendroid-projct": "../lendroid-2-js"
  }
}

2. production

{
  "dependencies": {
    "lendroid-projct": "<stable-version>"
  }
}

How to work with lendroid-project

git clone https://github.com/lendroidproject/lendroid-2-js.git
npm install
npm run build
cp -rf ./dist ../wallet-ui/node_modules/lendroid-project
You can’t perform that action at this time.